Bug 448387 - HAL fails to start until GDM starts up.
HAL fails to start until GDM starts up.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 08:23 EDT by Davidson Paulo
Modified: 2015-03-09 09:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (3.60 MB, text/plain)
2008-05-26 08:23 EDT, Davidson Paulo
no flags Details
/var/log/dmesg (24.07 KB, text/plain)
2008-05-26 08:24 EDT, Davidson Paulo
no flags Details
Output of $ rpm -qa (35.28 KB, text/plain)
2008-05-26 08:25 EDT, Davidson Paulo
no flags Details
rpm -qa just before upgrading udev cause hal to fail to start (35.56 KB, text/plain)
2008-06-07 12:04 EDT, Jean-Pierre André
no flags Details

  None (edit)
Description Davidson Paulo 2008-05-26 08:23:57 EDT
Description of problem:

HAL does not start in normal boot sequence. The only way to get HAL started is
do that manually after logging in GDM.

Version-Release number of selected component (if applicable):

hal-0.5.11-1.fc9.i386

How reproducible:

Start your system, HAL will not start. Disable HAL (chkconfig haldaemon off),
insert "service haldaemon start" in /etc/rc.local, start your system. HAL will
be the last service to start, but it will fail. Remove that line in
/etc/rc.local, start your system, log in GDM, open a terminal, type "service
haldaemon start" and so you will get HAL running.

Steps to Reproduce:
1. Power on your computer
2. 
3.
  
Actual results:

System startup hangs up when starting HAL.

Expected results:

Normal boot process with HAL being started pretty fine.

Additional info:

I'm going to attach /var/log/messages, /var/log/dmesg and the output of "rpm
-qa". Kernel version: kernel-2.6.25.3-18.fc9.i686.
Comment 1 Davidson Paulo 2008-05-26 08:23:57 EDT
Created attachment 306667 [details]
/var/log/messages
Comment 2 Davidson Paulo 2008-05-26 08:24:43 EDT
Created attachment 306668 [details]
/var/log/dmesg
Comment 3 Davidson Paulo 2008-05-26 08:25:12 EDT
Created attachment 306669 [details]
Output of $ rpm -qa
Comment 4 Jean-Pierre André 2008-06-07 12:04:57 EDT
Created attachment 308615 [details]
rpm -qa just before upgrading udev cause hal to fail to start
Comment 5 Jean-Pierre André 2008-06-07 12:06:58 EDT
Hi,

I had the same problem happening when upgrading from FC8 to FC9 on a different $

Reverting to FC8 (from a disk image) and retrying step by step showed that the $
hal and avahi being already upgraded. When downgrading udev from udev-116-3.fc8$

I have attached the output of rpm -qa just before upgrading udev causes the
problem (happens to have been sent before this text...)

I am also to put a pointer for udev people

Regards

Jean-Pierre
Comment 6 Jean-Pierre André 2008-06-07 12:10:02 EDT
[repeating as lines got truncated in previous sending]

Hi,

I had the same problem happening when upgrading from FC8 to FC9 on a 
different architecture (x86_64)

Reverting to FC8 (from a disk image) and retrying step by step showed that 
the problem appeared after upgrading udev from
udev-120-5.20080421git.fc9.x86_64.rpm, hal and avahi being already upgraded.
When downgrading udev from udev-116-3.fc8.x86_64.rpm the problem did not
disappear, so I had to do the upgrade again from FC8 and leave udev unchanged.

I attach the output of rpm -qa just before upgrading udev causes the problem.

I am also to put a pointer for udev people

Regards

Jean-Pierre
Comment 7 Jean-Pierre André 2008-06-08 07:01:48 EDT
Hi,

I have found other FC9 packages which cause hal and avahi daemons not to start :
ConsoleKit (3 packages) and iputils

ConsoleKit-0.2.10-3.fc9.x86_64.rpm
ConsoleKit-libs-0.2.10-3.fc9.x86_64.rpm
ConsoleKit-x11-0.2.10-3.fc9.x86_64.rpm
iputils-20071127-2.fc9.x86_64.rpm

Note that not upgrading ConsoleKit prevents from upgrading gdm

hal and avahi daemons from FC9 start normally when using FC8 packages for udev,
ConsoleKit (implying gdm) and iputils

Regards

Jean-Pierre
Comment 8 Scott Glaser 2009-04-09 14:15:07 EDT
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?
Comment 9 Bug Zapper 2009-06-09 21:12:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:11:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.